#pragma once
#ifndef _IMAGE_H_
#define _IMAGE_H_

#include <string>
#include <vector>

struct vertex
{
        float x = 0.0;
        float y = 0.0;
        float z = 0.0;
};
 
class Tri
{
        public:
          Tri();
          Tri(vertex &one, vertex &two, vertex &three);
          std::vector<vertex> v;
};

class Image
{
public:
	Image(int width, int height);
	virtual ~Image();
	void setPixel(int x, int y, unsigned char r, unsigned char g, unsigned char b);
	void writeToFile(const std::string &filename);
	int getWidth() const { return width; }
	int getHeight() const { return height; }

private:
	int width;
	int height;
	int comp;
	std::vector<unsigned char> pixels;
};

#endif
